Support » Plugin: WooCommerce Stripe Payment Gateway » PSD2 Compliance

  • Resolved aaroncbw

    (@aaroncbw)


    Hi,

    We currently use this plugin alongside WooCommerce to take payment for subscriptions to our website.

    Is this plugin PSD2 compliant?

    Thanks

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Support rossviviano

    (@rossviviano)

    Automattic Happiness Engineer

    Hi there @aaroncbw,

    While Stripe for WooCommerce isn’t currently SCA compatible, it is on our roadmap and being developed. We don’t have precise timelines to share just yet, but we’ll have an SCA-compatible release ready well ahead of the September 2019 deadline.

    Hi @rossviviano,

    Thanks for getting back to me and apologies in my delayed response. Do you have any ideas on a timeline yet for an SCA compatible release? Reading the Stripe documentation it looks like the new rule will come into effect on the 14th of September this year.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘PSD2 Compliance’ is closed to new replies.